Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.spi
Interface OperableTrigger

All Superinterfaces:
  Cloneable, Comparable<Trigger>, MutableTrigger, Serializable, Trigger

All Known Implementing Classes:
  AbstractTrigger, CalendarIntervalTriggerImpl, CronTriggerImpl, DailyTimeIntervalTriggerImpl, SimpleTriggerImpl

    public interface OperableTrigger

extends MutableTrigger

Nested Class Summary

Nested classes/interfaces inherited from interface org.quartz.Trigger
`Trigger.CompletedExecutionInstruction, Trigger.TriggerState, Trigger.TriggerTimeComparator`

Field Summary

Fields inherited from interface org.quartz.Trigger
`DEFAULT_PRIORITY, MISFIRE_INSTRUCTION_IGNORE_MISFIRE_POLICY, MISFIRE_INSTRUCTION_SMART_POLICY, serialVersionUID`

Method Summary
`Date` | `computeFirstFireTime(Calendar calendar)` This method should not be used by the Quartz client.
`Trigger.CompletedExecutionInstruction` | `executionComplete(JobExecutionContext context, JobExecutionException result)` This method should not be used by the Quartz client.
`String` | `getFireInstanceId()` This method should not be used by the Quartz client.
`void` | `setFireInstanceId(String id)` This method should not be used by the Quartz client.
`void` | `setNextFireTime(Date nextFireTime)`
`void` | `setPreviousFireTime(Date previousFireTime)`
`void` | `triggered(Calendar calendar)` This method should not be used by the Quartz client.
`void` | `updateAfterMisfire(Calendar cal)` This method should not be used by the Quartz client.
`void` | `updateWithNewCalendar(Calendar cal, long misfireThreshold)` This method should not be used by the Quartz client.
`void` | `validate()` Validates whether the properties of the `JobDetail` are valid for submission into a `Scheduler`.

Methods inherited from interface org.quartz.spi.MutableTrigger
`clone, setCalendarName, setDescription, setEndTime, setJobDataMap, setJobKey, setKey, setMisfireInstruction, setPriority, setStartTime`

Methods inherited from interface org.quartz.Trigger
`compareTo, equals, getCalendarName, getDescription, getEndTime, getFinalFireTime, getFireTimeAfter, getJobDataMap, getJobKey, getKey, getMisfireInstruction, getNextFireTime, getPreviousFireTime, getPriority, getScheduleBuilder, getStartTime, getTriggerBuilder, mayFireAgain`

Method Detail

### triggered

    void triggered(Calendar calendar)

  This method should not be used by the Quartz client.

  Called when the ``Scheduler`` has decided to 'fire' the trigger (execute the associated `Job`), in order to give the `Trigger` a chance to update itself for its next triggering (if any).

  See Also:
    `executionComplete(JobExecutionContext, JobExecutionException)`

### computeFirstFireTime

    Date computeFirstFireTime(Calendar calendar)

  This method should not be used by the Quartz client.

  Called by the scheduler at the time a `Trigger` is first added to the scheduler, in order to have the `Trigger` compute its first fire time, based on any associated calendar.

  After this method has been called, `getNextFireTime()` should return a valid answer.

  Returns:
    the first time at which the `Trigger` will be fired by the scheduler, which is also the same value `getNextFireTime()` will return (until after the first firing of the `Trigger`).

### executionComplete

    Trigger.CompletedExecutionInstruction executionComplete(JobExecutionContext context,
                                                            JobExecutionException result)

  This method should not be used by the Quartz client.

  Called after the ``Scheduler`` has executed the ``JobDetail`` associated with the `Trigger` in order to get the final instruction code from the trigger.

  Parameters:
    `context` - is the `JobExecutionContext` that was used by the `Job`'s`execute(xx)` method.
    `result` - is the `JobExecutionException` thrown by the `Job`, if any (may be null).
  Returns:
    one of the `CompletedExecutionInstruction` constants.
  See Also:
    `CompletedExecutionInstruction`, `triggered(Calendar)`

### updateAfterMisfire

    void updateAfterMisfire(Calendar cal)

  This method should not be used by the Quartz client.

  To be implemented by the concrete classes that extend this class.

  The implementation should update the `Trigger`'s state based on the MISFIRE_INSTRUCTION_XXX that was selected when the `Trigger` was created.

### updateWithNewCalendar

    void updateWithNewCalendar(Calendar cal,
                               long misfireThreshold)

  This method should not be used by the Quartz client.

  To be implemented by the concrete class.

  The implementation should update the `Trigger`'s state based on the given new version of the associated `Calendar` (the state should be updated so that it's next fire time is appropriate given the Calendar's new settings).

  Parameters:
    `cal` -

### validate

    void validate()
                  throws SchedulerException

  Validates whether the properties of the `JobDetail` are valid for submission into a `Scheduler`.

  Throws:
    `IllegalStateException` - if a required property (such as Name, Group, Class) is not set.
    `SchedulerException`

### setFireInstanceId

    void setFireInstanceId(String id)

  This method should not be used by the Quartz client.

  Usable by ``JobStore`` implementations, in order to facilitate 'recognizing' instances of fired `Trigger` s as their jobs complete execution.

### getFireInstanceId

    String getFireInstanceId()

  This method should not be used by the Quartz client.

### setNextFireTime

    void setNextFireTime(Date nextFireTime)

### setPreviousFireTime

    void setPreviousFireTime(Date previousFireTime)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2013, Terracotta, Inc.